Package org.apache.uima.resource

# Interface PearSpecifier

All Superinterfaces:
  `Cloneable`, `MetaDataObject`, `ResourceServiceSpecifier`, `ResourceSpecifier`, `Serializable`, `XMLizable`

All Known Implementing Classes:
  `PearSpecifier_impl`

public interface PearSpecifier extends ResourceServiceSpecifier
A type of `ResourceSpecifier` that locate an installed pear `Resource`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Parameter[]`
  `getParameters()`
  Deprecated.
  These parameters only support string values.
  `NameValuePair[]`
  `getPearParameters()`
  Gets parameters that may be read by the pear resource class when it is initialized.
  `String`
  `getPearPath()`
  Retrieves the PEAR path at which the pear Resource is located.
  `void`
  `setParameters(Parameter... parameters)`
  Deprecated.
  These parameters only support string values.
  `void`
  `setPearParameters(NameValuePair... pearParameters)`
  Sets pearParameters that may be read by the pear resource class when it is initialized.
  `void`
  `setPearPath(String aPearPath)`
  Sets the PEAR path at which a Resource is located.

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Method Details

  - ### getPearPath

    String getPearPath()
    Retrieves the PEAR path at which the pear Resource is located.
    Returns:
      a string

  - ### setPearPath

    void setPearPath(String aPearPath)
    Sets the PEAR path at which a Resource is located.
    Parameters:
      `aPearPath` - a pear path string

  - ### getParameters

    @Deprecated Parameter[] getParameters()
    Deprecated.
    These parameters only support string values. Better use `getPearParameters()`.
    Gets legacy string-valued parameters that may be read by the pear resource class when it is initialized. These parameters are represented as follows in the PEAR specifier XML:

         <parameters>
           <parameter name="param1" value="val1"/>
         </parameters>

    Returns:
      an array of parameters. This will never return `null`.

  - ### setParameters

    @Deprecated void setParameters(Parameter... parameters)
    Deprecated.
    These parameters only support string values. Better use `setPearParameters(org.apache.uima.resource.metadata.NameValuePair...)`.
    Sets legacy string-valued parameters that may be read by the pear resource class when it is initialized.
    Parameters:
      `parameters` - the Parameters to set.
    See Also:
      - `getParameters()`

  - ### getPearParameters

    NameValuePair[] getPearParameters()
    Gets parameters that may be read by the pear resource class when it is initialized. These parameters are represented as follows in the PEAR specifier XML:

         <pearParameters>
           <nameValuePair>
            <name>param1</name>
            <value><string>val1</string></value>
           </nameValuePair>
         </pearParameters>

    Returns:
      an array of pearParameters. This will never return `null`.

  - ### setPearParameters

    void setPearParameters(NameValuePair... pearParameters)
    Sets pearParameters that may be read by the pear resource class when it is initialized.
    Parameters:
      `pearParameters` - the pearParameters to set.
    See Also:
      - `getPearParameters()`